2 qq 29566891 qq_29566891 于 2016.03.21 16:21 提问

程序在Android5.0闪退

程序在Android4.4可以运行,但在5.0闪退,,报错如下 java.lang.UnsatisfiedLinkError: dalvik.system.PathClassLoader[DexPathList[[zip file "/data/app/com.qiqiluobotou.zuodeqi.slopeslide-2/base.apk"],nativeLibraryDirectories=[/data/app/com.qiqiluobotou.zuodeqi.slopeslide-2/lib/x86, /vendor/lib, /system/lib]]] couldn't find "libBaiduMapSDK_v3_1_0.so" at java.lang.Runtime.loadLibrary(Runtime.java:367) at java.lang.System.loadLibrary(System.java:1076) at com.baidu.mapapi.a.(Unknown Source) at com.baidu.mapapi.SDKInitializer.initialize(Unknown Source) at com.baidu.mapapi.SDKInitializer.initialize(Unknown Source)
哪位大神能解决,,跪拜

1个回答

u011071427
u011071427   2016.03.25 15:18
已采纳

看样子是百度地图初始化失败,你看看是不是没有导入so包

u011071427
u011071427 回复qq_29566891: 那就是某些so包不兼容X86,或者64位的手机造成的,可以只放兼容的版本库,不要放的类库里面没有其他所需要的
一年多之前 回复
qq_29566891
qq_29566891 我是把so放在main 的jnilibs里的
一年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!